/******************************************************************/
/* Code to identify whether or not a file is a self extractor */
/******************************************************************/

char pos_check(FILE_N file,int pos,char *search)
{
    my_fseek(file,pos,0);
    return (my_getc(file)==search[0] && my_getc(file)==search[1]
            && my_getc(file)==search[2]);
}
/*************************************************************************/
char is_self_extract(char *filename)
{

   char pos_check();
   FILE_N file;

   if (self_extracts!=1)
      return FALSE;

   file=my_fopen(filename);
             
   if (pos_check(file,6,"LHa") ||     /* LHARC .COM 1.13 file */
       pos_check(file,13,"LHa") ||    /* LHARC .COM 1.0 */
       pos_check(file,37,"LHa") ||    /* LHARC .EXE 1.13L */
       pos_check(file,38,"LHa") ||    /* LHARC .EXE 1.13S */
       pos_check(file,45,"LHa") ||    /* LHARC .EXE 1.0 */
       pos_check(file,45,"PKW") ||    /* PKSFX 1.01 */
       pos_check(file,2246,"Sez") ||  /* Sez (Zoo) 2.30 */
       pos_check(file,4694,"NoG") ||  /* PAK 1.51 */
       pos_check(file,4764,"NoG") ||  /* PAK 1.61 */
       pos_check(file,5227,"NoG") ||  /* PAK 2.10 */
       pos_check(file,8929,"PKW") ||  /* PKarc 3.5 */
       pos_check(file,9774,"PKW") ||  /* PKarc 3.61 */
       pos_check(file,9790,"PKW") ||  /* PKarc 3.6  */
       pos_check(file,14064,"PKZ") || /* PKZip 0.92 */
       pos_check(file,14368,"PKZ")    /* PKZip 1.01,1.02 */
      ) {
      my_fclose(file);
      return TRUE;
   }
   else {
      my_fclose(file);
      return FALSE;
   }
}

