/*********************************************************************/
/* Standard Include Files */

#include <dos.h>
#include <dir.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <bios.h>
#include <io.h>
#include <stdarg.h>
/*********************************************************************/

/* Defines used in most of the utilities */

#define VERSION "AU 1.12 (Beta) - " /* Current version of AU */

#define FALSE 0               /* To help readability */
#define TRUE  1

#define OFF 0
#define ON 1
#define ALWAYS 2

#define FLENGTH 120           /* Limit on dir+file length */

#define USE_IBM TRUE

     /* The executable program is considerably smaller because I rewrote the
        low level functions.  Doing this makes this code non-transportable.
        To use standard C functions in place of my own,  USE_IBM should be
        defined as FALSE */
/*********************************************************************/
/* Function types that will be used.  They are not necessarily used in all
    programs, but declaring types does not increase code size */

void get_file_line(),end_of_line(),ltrim(),check_for_key(),cd(),
     split_string();

char *get_format();
char my_getch();
int my_fopen();       /* int is actually FILE_N */
int my_getc();
void my_printf(),my_fclose(),my_fseek(),parse_comm_line();

char is_self_extract();


#if USE_IBM                   /* used to make my_getc() fast */
   char buffer_pointer=0;
   char buffer[129];
#endif

